import{s as E,n as S,o as z}from"../chunks/scheduler.f7e1785c.js";import{S as U,i as W,g as d,s as u,r as j,A as q,h as p,f as a,c as m,j as L,u as I,x as T,k as M,y as R,a as n,v as Y,d as B,t as D,w as F}from"../chunks/index.9f8f0838.js";import{H as N}from"../chunks/Heading.6643a2f7.js";function G(P){let o,g,f,w,i,v,s,C=`Welcome to the second unit of the Hugging Face audio course! Previously, we explored the fundamentals of audio data
and learned how to work with audio datasets using the 🤗 Datasets and 🤗 Transformers libraries. We discussed various
concepts such as sampling rate, amplitude, bit depth, waveform, and spectrograms, and saw how to preprocess data to
prepare it for a pre-trained model.`,y,r,$=`At this point you may be eager to learn about the audio tasks that 🤗 Transformers can handle, and you have all the foundational
knowledge necessary to dive in! Let’s take a look at some of the mind-blowing audio task examples:`,b,l,A=`<li><strong>Audio classification</strong>: easily categorize audio clips into different categories. You can identify whether a recording
is of a barking dog or a meowing cat, or what music genre a song belongs to.</li> <li><strong>Automatic speech recognition</strong>: transform audio clips into text by transcribing them automatically. You can get a text
representation of a recording of someone speaking, like “How are you doing today?“. Rather useful for note taking!</li> <li><strong>Speaker diarization</strong>: Ever wondered who’s speaking in a recording? With 🤗 Transformers, you can identify which speaker
is talking at any given time in an audio clip. Imagine being able to differentiate between “Alice” and “Bob” in a recording
of them having a conversation.</li> <li><strong>Text to speech</strong>: create a narrated version of a text that can be used to produce an audio book, help with accessibility,
or give a voice to an NPC in a game. With 🤗 Transformers, you can easily do that!</li>`,_,c,H=`In this unit, you’ll learn how to use pre-trained models for some of these tasks using the <code>pipeline()</code> function from 🤗 Transformers.
Specifically, we’ll see how the pre-trained models can be used for audio classification, automatic speech recognition and audio generation.
Let’s get started!`,x,h,k;return i=new N({props:{title:"Unit 2. A gentle introduction to audio applications",local:"unit-2-a-gentle-introduction-to-audio-applications",headingTag:"h1"}}),{c(){o=d("meta"),g=u(),f=d("p"),w=u(),j(i.$$.fragment),v=u(),s=d("p"),s.textContent=C,y=u(),r=d("p"),r.textContent=$,b=u(),l=d("ul"),l.innerHTML=A,_=u(),c=d("p"),c.innerHTML=H,x=u(),h=d("p"),this.h()},l(e){const t=q("svelte-u9bgzb",document.head);o=p(t,"META",{name:!0,content:!0}),t.forEach(a),g=m(e),f=p(e,"P",{}),L(f).forEach(a),w=m(e),I(i.$$.fragment,e),v=m(e),s=p(e,"P",{"data-svelte-h":!0}),T(s)!=="svelte-vj6e2"&&(s.textContent=C),y=m(e),r=p(e,"P",{"data-svelte-h":!0}),T(r)!=="svelte-qbuu6d"&&(r.textContent=$),b=m(e),l=p(e,"UL",{"data-svelte-h":!0}),T(l)!=="svelte-1bxzjf0"&&(l.innerHTML=A),_=m(e),c=p(e,"P",{"data-svelte-h":!0}),T(c)!=="svelte-r8m8hy"&&(c.innerHTML=H),x=m(e),h=p(e,"P",{}),L(h).forEach(a),this.h()},h(){M(o,"name","hf:doc:metadata"),M(o,"content",J)},m(e,t){R(document.head,o),n(e,g,t),n(e,f,t),n(e,w,t),Y(i,e,t),n(e,v,t),n(e,s,t),n(e,y,t),n(e,r,t),n(e,b,t),n(e,l,t),n(e,_,t),n(e,c,t),n(e,x,t),n(e,h,t),k=!0},p:S,i(e){k||(B(i.$$.fragment,e),k=!0)},o(e){D(i.$$.fragment,e),k=!1},d(e){e&&(a(g),a(f),a(w),a(v),a(s),a(y),a(r),a(b),a(l),a(_),a(c),a(x),a(h)),a(o),F(i,e)}}}const J='{"title":"Unit 2. A gentle introduction to audio applications","local":"unit-2-a-gentle-introduction-to-audio-applications","sections":[],"depth":1}';function K(P){return z(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class X extends U{constructor(o){super(),W(this,o,K,G,E,{})}}export{X as component};
